# Class UnavailableServiceException

java.lang.Object
java.lang.Throwable
java.lang.Exception
org.a11y.brlapi.ProgramException
org.a11y.brlapi.ExternalException
org.a11y.brlapi.ConnectException
org.a11y.brlapi.HostException
org.a11y.brlapi.UnavailableServiceException

All Implemented Interfaces:
  `Serializable`

public class UnavailableServiceException extends HostException

See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`UnavailableServiceException(String host)`

## Method Summary

### Methods inherited from class HostException

`getHost`

### Methods inherited from class Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### UnavailableServiceException

public UnavailableServiceException(String host)